Skip to main content
GET
/
v1
/
messaging
/
chats
/
{chatId}
Lista mensagens de um chat
curl --request GET \
  --url https://gateway.crmspark.com.br/v1/messaging/chats/{chatId} \
  --header 'X-API-Key: <api-key>'
{
  "records": [
    {
      "id": "<string>",
      "type": "<string>",
      "status": "<string>",
      "sender": {
        "id": "<string>",
        "name": "<string>",
        "isParticipant": true,
        "avatarUrl": "<string>"
      },
      "isOfficialTemplate": true,
      "templateCharged": true,
      "createdAt": "2023-11-07T05:31:56Z",
      "text": "<string>",
      "transcription": "<string>",
      "forward": {
        "displayName": "<string>",
        "type": "<string>",
        "date": 123
      },
      "replyToId": "<string>",
      "instagram": {
        "kind": "comment",
        "commentId": "<string>",
        "mediaId": "<string>",
        "parentCommentId": "<string>"
      },
      "media": {
        "id": "<string>",
        "url": "<string>",
        "mimeType": "<string>"
      },
      "location": {
        "latitude": 123,
        "longitude": 123,
        "name": "<string>",
        "address": "<string>",
        "url": "<string>"
      },
      "templateComponents": {},
      "ad": {
        "id": "<string>",
        "url": "<string>",
        "headline": "<string>"
      }
    }
  ],
  "nextCursor": "<string>"
}

Authorizations

X-API-Key
string
header
required

Path Parameters

chatId
string
required

ID do chat no Spark

Query Parameters

Response

Página de mensagens

records
object[]
required
nextCursor
string